Bug 1495456 - Update downstream qemu's max supported cpus for pseries to the RHEL supported number
Summary: Update downstream qemu's max supported cpus for pseries to the RHEL supported...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4-Alt
Hardware: ppc64le
OS: Linux
medium
medium
Target Milestone: rc
: 7.5-Alt
Assignee: David Gibson
QA Contact: Xujun Ma
URL:
Whiteboard:
Depends On:
Blocks: 1476742 1510741 1518048 1518049
TreeView+ depends on / blocked
 
Reported: 2017-09-26 05:45 UTC by Min Deng
Modified: 2018-04-11 00:37 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-rhev-2.10.0-11.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-11 00:36:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1104 None None None 2018-04-11 00:37:49 UTC
IBM Linux Technology Center 162047 None None None 2019-02-22 08:25:28 UTC

Description Min Deng 2017-09-26 05:45:04 UTC
Description of problem:
Need to adjust the max cpus supported number from error message since it was conflict with KVM's

Version-Release number of selected component (if applicable):
kernel-4.11.0-36.el7a.ppc64le
qemu-kvm-2.9.0-23.el7a.ppc64le
SLOF-20170303-4.git66d250e.el7.noarch

How reproducible:
3/3

Steps to Reproduce:
1.boot up with 
  "-smp 64,maxcpus=102464,cores=8,threads=1,sockets=8 "
  qemu-kvm: Number of SMP CPUs requested (102464) exceeds max CPUs supported by machine 'pseries-rhel7.4.0alt' (1024)

2.according to the above message
  "-m 6G,maxmem=300G,slots=256 -smp 64,maxcpus=1024,cores=8,threads=1,sockets=128"
  Warning: Number of hotpluggable cpus requested (1024) exceeds the recommended cpus supported by KVM (176)
Number of hotpluggable cpus requested (1024) exceeds the maximum cpus supported by KVM (240)

3.

Actual results:
It seemed that 1024 was useless since KVM only support 240 so far.

Expected results:
Perhaps,we need to adjust it to an reasonable value 240 or something else if possible.

Additional info:

Comment 1 David Gibson 2017-09-27 01:22:50 UTC
Essentially cosmetic, postponing to RHEL7.5.

Comment 2 David Gibson 2017-12-01 02:40:41 UTC
Brewed a qemu with the correct value at:

https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=14661947

Still need to fix up the KVM side.

Comment 3 IBM Bug Proxy 2017-12-01 10:20:38 UTC
------- Comment From sthoufee@in.ibm.com 2017-12-01 05:17 EDT-------
I had found the area of code failure. Will post the patch soon..

So with the patch ,

when boot up with

it would expected to show the below message

qemu-system-ppc64: Invalid SMP CPUs 102464. The max CPUs supported by machine 'pseries-rhel7.4.0alt' is 240

Comment 4 Hanns-Joachim Uhl 2017-12-01 10:45:30 UTC
oops ... the previous comment has to read:
"
I had found the area of code failure. Will post the patch soon.. 

So with the patch , 

when boot up with
"-smp 64,maxcpus=102464,cores=8,threads=1,sockets=8 "
qemu-kvm: Number of SMP CPUs requested (102464) exceeds max CPUs supported by machine 'pseries-rhel7.4.0alt' (1024)

it would expected to show the below message 

qemu-system-ppc64: Invalid SMP CPUs 102464. The max CPUs supported by machine 'pseries-rhel7.4.0alt' is 240
"
...

Comment 5 IBM Bug Proxy 2017-12-01 11:30:30 UTC
------- Comment From sthoufee@in.ibm.com 2017-12-01 06:27 EDT-------
Patch posted for review. Awaiting response.

Comment 7 David Gibson 2017-12-04 06:34:53 UTC
Downstream only fix posted.  As noted in the notes for that patch, using the maximum number of vcpus (384) requires threads=2 or greater.

Min, can you file a different bug to track the case of -smp 384,threads=1

Comment 8 Ademar Reis 2017-12-04 15:33:57 UTC
For reference, the increase to 384 vCPUs on x86 was added via Bug 1433956.

Comment 9 Miroslav Rezanina 2017-12-05 12:59:03 UTC
Fix included in qemu-kvm-rhev-2.10.0-11.el7

Comment 11 Xujun Ma 2017-12-13 01:21:02 UTC
Reproduce the issue on old version:

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.10.0-10.el7.ppc64le


Steps to Reproduce:
1.boot up with "-smp 64,maxcpus=102464,cores=8,threads=1,sockets=8 "
qemu-kvm: Invalid SMP CPUs 102464. The max CPUs supported by machine 'pseries-rhel7.5.0' is 1024


2.according to the above message
  "-smp 64,maxcpus=1024,cores=8,threads=1,sockets=128"
Warning: Number of hotpluggable cpus requested (1024) exceeds the recommended cpus supported by KVM (144)
Number of hotpluggable cpus requested (1024) exceeds the maximum cpus supported by KVM (240)



Verified the issue on the latest build:
Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.10.0-11.el7.ppc64le

Steps to Reproduce:
1.The same steps as above

Actual results:

1.qemu-kvm: Invalid SMP CPUs 102464. The max CPUs supported by machine 'pseries-rhel7.5.0' is 384
2.qemu-kvm: Invalid SMP CPUs 1024. The max CPUs supported by machine 'pseries-rhel7.5.0' is 384

Comment 13 errata-xmlrpc 2018-04-11 00:36:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1104


Note You need to log in before you can comment on or make changes to this bug.